<?php
/*
 * ##################################################################
 * Created on: Jul 28, 2005
 * File name:  banktransfer.php 
 * ##################################################################
 * This code is a sole property of netenberg.com 
 * ##################################################################
 */
$name           = "Bank Transfer";
$banktransfer   = array (
                    array ("Instructions message"       , "disp_msg"), 
                    array ("Show additional currencies" , "add_curr", "No", "Yes"), 
                    array ("Active"                     , "active", "No", "Yes"), 
                    array ("Title"                      , "title")
                    );
//Extra fields for order form and customer backend                        
$ext_fields     = array (
                        // 0=$lang ,1=var, 2=store 3=encrypt, 4=type, 5=size, 6=required, 7=show in [, options]
                        array("Account_holder_name" ,"acct_holder"      ,1,0,"text",35 ,1,2),
                        array("Cheque_number"       ,"cheque_no"        ,1,0,"text",35 ,1,2),
                        array("Cheque_date"         ,"cheque_date"      ,1,0,"text",10 ,1,2)
                        );                       
$send_method    = "DIRECT";
$pay            = new banktransfer();
/*
 * Class to do all banktransfer
 * banktransfer Version 1.0
 */
class banktransfer
{
	/*
	 * Constructor
	 */
	function banktransfer()
	{
        
	}
    /*
     * Function to send variables
     */
    function sendVariables($path_url, $pp_vals)
    {
        $this->_POST1               = array ();
        $this->_POST1['item_number']= time().rand(0, 1000);
        if (isset ($_POST['force_inv_no']))
        {
            $this->_POST1['item_number'] = $_POST['force_inv_no'];
        }
    }
    /*
     * IPN=Internet Payment Notifier
     */
    function ipn(& $BL)
    {
        return false;
    }
}
?>